Package org.kapott.hbci.sepa.jaxb.camt_052_001_03

# Class RemittanceLocation2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_03.RemittanceLocation2

public class RemittanceLocation2 extends Object

Java class for RemittanceLocation2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RemittanceLocation2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="RmtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max35Text" minOccurs="0"/>
             <element name="RmtLctnMtd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}RemittanceLocationMethod2Code" minOccurs="0"/>
             <element name="RmtLctnElctrncAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}Max2048Text" minOccurs="0"/>
             <element name="RmtLctnPstlAdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.03}NameAndAddress10" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`rmtId`
`protected String`
`rmtLctnElctrncAdr`
`protected RemittanceLocationMethod2Code`
`rmtLctnMtd`
`protected NameAndAddress10`
`rmtLctnPstlAdr`

## Constructor Summary

Constructors
Constructor
Description
`RemittanceLocation2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getRmtId()`
Gets the value of the rmtId property.
`String`
`getRmtLctnElctrncAdr()`
Gets the value of the rmtLctnElctrncAdr property.
`RemittanceLocationMethod2Code`
`getRmtLctnMtd()`
Gets the value of the rmtLctnMtd property.
`NameAndAddress10`
`getRmtLctnPstlAdr()`
Gets the value of the rmtLctnPstlAdr property.
`void`
`setRmtId(String value)`
Sets the value of the rmtId property.
`void`
`setRmtLctnElctrncAdr(String value)`
Sets the value of the rmtLctnElctrncAdr property.
`void`
`setRmtLctnMtd(RemittanceLocationMethod2Code value)`
Sets the value of the rmtLctnMtd property.
`void`
`setRmtLctnPstlAdr(NameAndAddress10 value)`
Sets the value of the rmtLctnPstlAdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### rmtId

protected String rmtId

### rmtLctnMtd

protected RemittanceLocationMethod2Code rmtLctnMtd

### rmtLctnElctrncAdr

protected String rmtLctnElctrncAdr

### rmtLctnPstlAdr

protected NameAndAddress10 rmtLctnPstlAdr

## Constructor Details

### RemittanceLocation2

public RemittanceLocation2()

## Method Details

### getRmtId

public String getRmtId()
Gets the value of the rmtId property.

Returns:
  possible object is `String`

### setRmtId

public void setRmtId(String value)
Sets the value of the rmtId property.

Parameters:
  `value` - allowed object is `String`

### getRmtLctnMtd

public RemittanceLocationMethod2Code getRmtLctnMtd()
Gets the value of the rmtLctnMtd property.

Returns:
  possible object is `RemittanceLocationMethod2Code`

### setRmtLctnMtd

public void setRmtLctnMtd(RemittanceLocationMethod2Code value)
Sets the value of the rmtLctnMtd property.

Parameters:
  `value` - allowed object is `RemittanceLocationMethod2Code`

### getRmtLctnElctrncAdr

public String getRmtLctnElctrncAdr()
Gets the value of the rmtLctnElctrncAdr property.

Returns:
  possible object is `String`

### setRmtLctnElctrncAdr

public void setRmtLctnElctrncAdr(String value)
Sets the value of the rmtLctnElctrncAdr property.

Parameters:
  `value` - allowed object is `String`

### getRmtLctnPstlAdr

public NameAndAddress10 getRmtLctnPstlAdr()
Gets the value of the rmtLctnPstlAdr property.

Returns:
  possible object is `NameAndAddress10`

### setRmtLctnPstlAdr

public void setRmtLctnPstlAdr(NameAndAddress10 value)
Sets the value of the rmtLctnPstlAdr property.

Parameters:
  `value` - allowed object is `NameAndAddress10`